Browse Source

saving uncommitted changes in /etc prior to emerge run

master
hasufell 8 years ago
committed by root
parent
commit
21bdf79af8
15 changed files with 230 additions and 0 deletions
  1. +0
    -0
      acpi/events/power
  2. +17
    -0
      hprofile/profiles/disk/._cfg0000_post-start
  3. +13
    -0
      hprofile/profiles/disk/scripts/._cfg0000_adp.start
  4. +13
    -0
      hprofile/profiles/disk/scripts/._cfg0000_bat.start
  5. +13
    -0
      hprofile/profiles/disk/scripts/._cfg0000_dyn.start
  6. +13
    -0
      hprofile/profiles/disk/scripts/._cfg0000_quiet.start
  7. +10
    -0
      hprofile/profiles/vga/._cfg0000_post-start
  8. +13
    -0
      hprofile/profiles/vga/scripts/._cfg0000_fglrx.start
  9. +13
    -0
      hprofile/profiles/vga/scripts/._cfg0000_fglrx.stop
  10. +25
    -0
      hprofile/profiles/vga/scripts/._cfg0000_nouveau.stop
  11. +12
    -0
      hprofile/profiles/vga/scripts/._cfg0000_nvidia.start
  12. +10
    -0
      hprofile/profiles/vga/scripts/._cfg0000_nvidia.stop
  13. +20
    -0
      hprofile/profiles/vga/scripts/._cfg0000_radeon.start
  14. +25
    -0
      hprofile/profiles/vga/scripts/._cfg0000_radeon.stop
  15. +33
    -0
      init.d/._cfg0001_hprofile

+ 0
- 0
acpi/events/power View File


+ 17
- 0
hprofile/profiles/disk/._cfg0000_post-start View File

@@ -0,0 +1,17 @@
#
# disk/post-start
#

for dev in $(ata.bash); do
echo cfq >$dev/queue/scheduler
echo 0 >$dev/queue/iosched/slice_idle
echo 64 >$dev/queue/iosched/quantum
# more opitmizations with ncq
echo 1024 >$dev/queue/nr_requests
echo 2 >$dev/device/queue_depth
done
unset dev

#
# vim:fenc=utf-8:ft=sh:ci:pi:sts=0:sw=4:ts=4:
#

+ 13
- 0
hprofile/profiles/disk/scripts/._cfg0000_adp.start View File

@@ -0,0 +1,13 @@
#
# disk/scripts/adp.start
#

usb.bash

ata="$(ata.bash)"
[[ "$ata" ]] && hdparm -q -S120 -B230 -M254 $ata
unset ata

#
# vim:fenc=utf-8:ft=sh:ci:pi:sts=0:sw=4:ts=4:
#

+ 13
- 0
hprofile/profiles/disk/scripts/._cfg0000_bat.start View File

@@ -0,0 +1,13 @@
#
# disk/scripts/bat.start
#

usb.bash

ata="$(ata.bash)"
[[ "$ata" ]] && hdparm -q -S120 -B210 -M230 $ata
unset ata

#
# vim:fenc=utf-8:ft=sh:ci:pi:sts=0:sw=4:ts=4:
#

+ 13
- 0
hprofile/profiles/disk/scripts/._cfg0000_dyn.start View File

@@ -0,0 +1,13 @@
#
# disk/scripts/dyn.start
#

usb.bash

ata="$(ata.bash)"
[[ "$ata" ]] && hdparm -q -S180 -B254 -M254 $ata
unset ata

#
# vim:fenc=utf-8:ft=sh:ci:pi:sts=0:sw=4:ts=4:
#

+ 13
- 0
hprofile/profiles/disk/scripts/._cfg0000_quiet.start View File

@@ -0,0 +1,13 @@
#
# disk/scripts/quiet.start
#

usb.bash

ata="$(ata.bash)"
[[ "$ata" ]] && hdparm -q -S120 -B200 -M200 $ata
unset ata

#
# vim:fenc=utf-8:ft=sh:ci:pi:sts=0:sw=4:ts=4:
#

+ 10
- 0
hprofile/profiles/vga/._cfg0000_post-start View File

@@ -0,0 +1,10 @@
#
# vga/post-start
#

[[ -x /etc/init.d/consolefont ]] &&
/etc/init.d/consolefont restart

#
# vim:fenc=utf-8:ft=sh:ci:pi:sts=0:sw=4:ts=4:
#

+ 13
- 0
hprofile/profiles/vga/scripts/._cfg0000_fglrx.start View File

@@ -0,0 +1,13 @@
#
# vga/scripts/fglrx.start
#

modprobe uvesafb > /dev/null 2>&1
modprobe ${1} || die "Failed to insert ${1} kernel module"

[[ $(eselect opengl show) != ati ]] && eselect opengl set ati
[[ $(eselect xvmc show) != ati ]] && eselect xvmc set ati

#
# vim:fenc=utf-8:ft=sh:ci:pi:sts=0:sw=4:ts=4:
#

+ 13
- 0
hprofile/profiles/vga/scripts/._cfg0000_fglrx.stop View File

@@ -0,0 +1,13 @@
#
# vga/scripts/fglrx.stop
#

rmmod ${1} || die "Failed to remove ${1} module"
#
# FIXME: Is this necessary? Comment out if necessary.
#
rmmod uvesafb > /dev/null 2>&1

#
# vim:fenc=utf-8:ft=sh:ci:pi:sts=0:sw=4:ts=4:
#

+ 25
- 0
hprofile/profiles/vga/scripts/._cfg0000_nouveau.stop View File

@@ -0,0 +1,25 @@
#
# vga/scripts/nouveau.stop
#


#
# FIXME: Comment out & edit if necessary to unload
# nouveau/drm/kms/ttm i.e. to be able to load nVidia.
#
if [[ ! -e sys/kernel/debug/vgaswitcheroo/switch ]]; then
echo 0 >/sys/class/vtconsole/vtcon1/bind
if ! rmmod nouveau; then
die "Failed to remove ${1} kernel module"
else
[[ -x /etc/init.d/consolefont ]] &&
/etc/init.d/consolefont restart
rmmod ttm
rmmod drm_kms_helper
rmmod dri
fi
fi

#
# vim:fenc=utf-8:ft=sh:ci:pi:sts=0:sw=4:ts=4:
#

+ 12
- 0
hprofile/profiles/vga/scripts/._cfg0000_nvidia.start View File

@@ -0,0 +1,12 @@
#
# vga/scripts/nvidia.start
#

modprobe uvesafb > /dev/null 2>&1
modprobe ${1} || die "Failed to insert ${1} kernel module"

[[ $(eselect opengl show) != ${1} ]] && eselect opengl set ${1}

#
# vim:fenc=utf-8:ft=sh:ci:pi:sts=0:sw=4:ts=4:
#

+ 10
- 0
hprofile/profiles/vga/scripts/._cfg0000_nvidia.stop View File

@@ -0,0 +1,10 @@
#
# vga/scripts/nvidia.stop
#

rmmod ${1} || die "Failed to remove ${1} kernel module"
rmmod uvesafb > /dev/null 2>&1

#
# vim:fenc=utf-8:ft=sh:ci:pi:sts=0:sw=4:ts=4:
#

+ 20
- 0
hprofile/profiles/vga/scripts/._cfg0000_radeon.start View File

@@ -0,0 +1,20 @@
#
# vga/scripts/radeon.start
#

modprobe ${1} || die "Failed to insert ${1} kernel module"

if [[ -e /sys/kernel/debug/vgaswitcheroo/switch ]]; then
echo DIS >/sys/kernel/debug/vgaswitcheroo/switch
# echo OFF >/sys/kernel/debug/vgaswitcheroo/switch
fi

echo low >/sys/class/drm/card0/device/power_profile
[[ $(eselect opengl show) != xorg-x11 ]] && eselect opengl set xorg-x11
[[ $(eselect xvmc show) != xorg-x11 ]] && eselect xvmc set xorg-x11
echo profile >/sys/class/drm/card0/power_method # or 'dynpm'
echo auto >/sys/class/drm/card0/power_profile # or 'low|mid'

#
# vim:fenc=utf-8:ft=sh:ci:pi:sts=0:sw=4:ts=4:
#

+ 25
- 0
hprofile/profiles/vga/scripts/._cfg0000_radeon.stop View File

@@ -0,0 +1,25 @@
#
# vga/scripts/radeon.stop
#


#
# FIXME: Comment in & edit if necessary to unload
# radeon/drm/kms/ttm i.e. to be able to load Fglrx.
#
if [[ ! -e sys/kernel/debug/vgaswitcheroo/switch ]]; then
# echo 0 >/sys/class/vtconsole/vtcon1/bind
if ! rmmod radeon; then
echo "Failed to remove ${1} module"
else
[[ -x /etc/init.d/consolefont ]] &&
/etc/init.d/consolefont restart
# rmmod ttm
# rmmod drm_kms_helper
# rmmod dri
fi
fi

#
# vim:fenc=utf-8:ft=sh:ci:pi:sts=0:sw=4:ts=4:
#

+ 33
- 0
init.d/._cfg0001_hprofile View File

@@ -0,0 +1,33 @@
#!/sbin/runscript
# Copyright 2014 tclover <tokiclover@hprofile.project>
# Distributed under the terms of the GPL-2 license
# $Header: hprofile.initd,v 1.4 2014/10/10 13:05:23 -tclover Exp $

description="initialize hprofile boot profiles"

depend()
{
after modules
}

start()
{
for profile in $PROFILES; do
hprofile -f $profile
eend "$?" "Failed to start $profile profile"
done
return 0
}

stop()
{
for profile in $PROFILES; do
hprofile -s $profile
eend "$?" "Failed to stop $profile profile"
done
return 0
}

#
# vim:fenc=utf-8:ft=gentoo-init-d:ci:pi:sts=0:sw=4:ts=4:
#

Loading…
Cancel
Save